MCP Reference: aiplatform.googleapis.com

Model Context Protocol (MCP) server that provides Vertex AI tools for building, deploying, and scaling both predictive machine learning and generative AI applications on Google Cloud.

A Model Context Protocol (MCP) server acts as a proxy between an external service that provides context, data, or capabilities to a Large Language Model (LLM) or AI application. MCP servers connect AI applications to external systems such as databases and web services, translating their responses into a format that the AI application can understand.

Server Setup

You must enable MCP servers and set up authentication before use. For more information about using Google and Google Cloud remote MCP servers, see Google Cloud MCP servers overview.

Server Endpoints

An MCP service endpoint is the network address and communication interface (usually a URL) of the MCP server that an AI application (the Host for the MCP client) uses to establish a secure, standardized connection. It is the point of contact for the LLM to request context, call a tool, or access a resource. Google MCP endpoints can be global or regional.

The aiplatform.googleapis.com MCP server offers the following MCP toolset endpoints:

  • https://aiplatform.googleapis.com/mcp/generate
  • https://aiplatform.googleapis.com/mcp/predict
  • https://aiplatform.googleapis.com/mcp/notebook
  • https://aiplatform.googleapis.com/mcp/endpoints
  • https://aiplatform.googleapis.com/mcp/models
  • https://aiplatform.googleapis.com/mcp/tuning
  • https://aiplatform.googleapis.com/mcp/evaluation
  • https://aiplatform.googleapis.com/mcp/prompts

MCP Tools

An MCP tool is a function or executable capability that an MCP server exposes to a LLM or AI application to perform an action in the real world. Toolsets are a group of tools that are useful for a specific task. Using toolsets can help your agent perform better because it decreases the number of tools available to your agent.

Toolsets

The aiplatform.googleapis.com MCP server has the following toolsets:

MCP Toolsets
Endpoint Description Tools
/mcp/generate Generative AI tools
/mcp/predict Prediction tools
/mcp/notebook Colab Enterprise Notebook tools
/mcp/endpoints Endpoint Management tools
/mcp/models Model Registry tools
/mcp/tuning Model Finetuning tools
/mcp/evaluation Quality Evaluation tools
/mcp/prompts Prompt Management tools

Get MCP tool specifications

To get the MCP tool specifications for all tools in an MCP server, use the tools/list method. The following example demonstrates how to use curl to list all tools and their specifications currently available within the MCP server.

Curl Request
                      curl --location 'https://aiplatform.googleapis.com/mcp/generate' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
    "method": "tools/list",
    "jsonrpc": "2.0",
    "id": 1
}'